#ifndef DEBUG32X_H
#define DEBUG32X_H

#include <stdarg.h>
#include <stdio.h>
#include <string.h>

extern void Debug32xInit(int vmode);
extern void Debug32xSetFGColor(int r, int g, int b);
extern void Debug32xSetBGColor(int r, int g, int b);
extern int Debug32xScreenGetX();
extern int Debug32xScreenGetY();
extern void Debug32xScreenClear();
extern void Debug32xScreenSetXY(int x, int y);
extern void Debug32xScreenPutChar(int x, int y, unsigned char ch);
extern void Debug32xScreenClearLine(int Y);
extern int Debug32xScreenPrintData(const char *buff, int size);
extern int Debug32xScreenPuts(const char *str);
extern void Debug32xScreenPrintf(const char *format, ...);
extern void Debug32xDelay(int ticks);

#endif
