#ifndef __MISC_H__
#define __MISC_H__

void set_TimeCount(unsigned long t);
unsigned long get_TimeCount();

#define stricmp strcasecmp
#define strnicmp strncasecmp

char *itoa(int value, char *string, int radix);
char *ltoa(long value, char *string, int radix);
char *ultoa(unsigned long value, char *string, int radix);

static __inline__ uint16_t SwapInt16(uint16_t i)
{
	return ((uint16_t)i >> 8) | ((uint16_t)i << 8);
}

static __inline__ uint32_t SwapInt32(uint32_t i)
{
	//return	((uint32_t)(i & 0xFF000000) >> 24) |
	//	((uint32_t)(i & 0x00FF0000) >>  8) |
	//	((uint32_t)(i & 0x0000FF00) <<  8) |
	//	((uint32_t)(i & 0x000000FF) << 24);
	uint32_t v;
	asm("mov %0,r1"::"r"(i):"r1");
	asm("swap.b r1,r1");
	asm("swap.w r1,r1");
	asm("swap.b r1,r1");
	asm("mov r1,%0":"=g"(v));
	return v;
}

#endif
